local fence = ...

-- Register crenation model asset
fence:registerAssetId("models/crenation2.fbx/Prefab", "FENCE_CRENATION_PREFAB")

fence:registerAssetId("models/CastleTexture01.png", "TEXTURE_FENCE")

-- Register new material for the wall texture
fence:register({
	DataType = "MATERIAL",
	Id = "MATERIAL_FENCE",
	HasAlphaTest = true,
	AlbedoTexture = "TEXTURE_FENCE"
})

-- Register the wall asset
fence:register({
	DataType = "WALL_CONFIG",
	Id = "TEXT_FENCENAME",
	WallConfigName = "TEXT_FENCENAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "FENCE_CRENATION_PREFAB",
	CrenationDistance = 3,
	StepLength = 3,
	Width = 0.1,
	Height = 1.5,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})
